Jun 252011
 
trick to install incompatible mozilla firefox addon

How many times  have you wished to install an old Firefox Addon only to be told by firefox that your version of addon is incompatible with firefox current version. Here is a simple trick to install those incompatible addons in the latest stable firefox release firefox 5.0.

 

Method I

Open Firefox and in the addres bar write about:config and press enter.

Click on the warning window to proceed and you will have a number of Firefox settings before you.

Right-Click on the white space anywhere in the about:config window and click new>integer>Boolean. In the small window that opens write Name of property as “extensions.checkcompatibility” and set value as “False”.

This should enable your incompatible Addons in Addon manager. However this did not work out in my case. I wanted to install Aardwark firefox addon in firefox 5.0. So we applied method two.

Method II (100% working)

I installed Aardvark firefox addon using this method so I will use it as the example case. But essentially it should work with any addon.

Open firefox and go to the mozilla firefox  addon website.

Search for your addon  using the search bar.

install incompatible addons in FireFox 5.0

Your addon will be displayed with an grey cololored “Add to Firefox” button instead of green as “it is incompatible with firefox 5.0″

install incompatible addons in FireFox 5.0

Right click on this button and choose “Save link as..” option. It will be saved as a .xpi file. Aardwark addon file name is “addon-4111-latest.xpi” for example.

install incompatible addons in FireFox 5.0

Open this .xpi file with Winzip or Winrar or any unzip utility. You will see a file “install.rdf” in the zipped folder. Now select this  file and extract it to your desktop.

install incompatible addons in FireFox 5.0

Open “install.rdf” in wordpad or any text editor.

Search for a line “<em:maxVersion>3.6.*</em:maxVersion>

install incompatible addons in FireFox 5.0

3.6 in this line represent the maximum version of firefox up to which this addon (Aardvark in our case) is compatible. In your “install.rdf” file it may be some other value less than 5.0.

Change this value from ‘3.6.* ‘ to ‘ 5.0.*

Save the file again by clicking on save button. Now drag this file again to the .xpi archive. Overwrite the existing “install.rdf” with your modified “install.rdf”.

Now go to firefox 5.0 and open Addon manager. Click on the settings button and choose “Install Addon from file…”. Choose the .xpi file you modified and you will see the familiar firefox addon install window.

install incompatible addons in FireFox 5.0

install incompatible addons in FireFox 5.0

install incompatible addons in FireFox 5.0

install incompatible addons in FireFox 5.0

Install the addon and restart the firefox.

Enjoy your incompatible firefox addons without a glitch!!

Don’t forget to tell us your ideas on this in comments!!

 

  • Dean

    How do I drag a word document to a .xpi archive?

    • Sid

      Hi Dean,
      well you have not mentioned why would you like to drag a word document to .xpi archive but if you really want to do it, Then just open your xpi archive with winrar or winzip or 7-zip and drag your word file to the winrar/winzip window to add it to xpi archive. Hope it helps!!
      Thanks for visiting!!